Bug 109612 - [CI][BAT] igt@gem_media_vme - Fail - Failed assertion: !"GPU hung"
Summary: [CI][BAT] igt@gem_media_vme - Fail - Failed assertion: !"GPU hung"
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: high normal
Assignee: Tvrtko Ursulin
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-12 08:27 UTC by Lakshmi
Modified: 2019-04-17 14:39 UTC (History)
1 user (show)

See Also:
i915 platform: BXT, GLK
i915 features: GPU hang


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-02-12 08:27:12 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5587/shard-apl6/igt@gem_media_vme.html

(gem_media_vme:3586) igt_aux-CRITICAL: Test assertion failure function sig_abort, file ../lib/igt_aux.c:500:
(gem_media_vme:3586) igt_aux-CRITICAL: Failed assertion: !"GPU hung"
Test gem_media_vme failed.
**** DEBUG ****
(gem_media_vme:3586) igt_core-INFO: IGT-Version: 1.23-gf62577c8 (x86_64) (Linux: 5.0.0-rc6-CI-CI_DRM_5587+ x86_64)
(gem_media_vme:3586) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_media_vme:3586) igt_debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_media_vme:3586) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(gem_media_vme:3586) igt_debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_media_vme:3586) ioctl_wrappers-DEBUG: Test requirement passed: dir >= 0
(gem_media_vme:3586) ioctl_wrappers-DEBUG: Test requirement passed: err == 0
(gem_media_vme:3586) DEBUG: Test requirement passed: media_vme
(gem_media_vme:3586) igt_aux-CRITICAL: Test assertion failure function sig_abort, file ../lib/igt_aux.c:500:
(gem_media_vme:3586) igt_aux-CRITICAL: Failed assertion: !"GPU hung"
(gem_media_vme:3586) igt_core-INFO: Stack trace:
(gem_media_vme:3586) igt_core-INFO:   #0 ../lib/igt_core.c:1474 __igt_fail_assert()
(gem_media_vme:3586) igt_core-INFO:   #1 ../lib/igt_aux.c:504 igt_fork_hang_detector()
(gem_media_vme:3586) igt_core-INFO:   #2 [killpg+0x40]
(gem_media_vme:3586) igt_core-INFO:   #3 ../sysdeps/unix/syscall-template.S:78 ioctl()
(gem_media_vme:3586) igt_core-INFO:   #4 /home/cidrm/libdrm/xf86drm.c:191 drmIoctl()
(gem_media_vme:3586) igt_core-INFO:   #5 ../lib/ioctl_wrappers.c:446 gem_wait()
(gem_media_vme:3586) igt_core-INFO:   #6 ../lib/ioctl_wrappers.c:464 gem_sync()
(gem_media_vme:3586) igt_core-INFO:   #7 ../tests/i915/gem_media_vme.c:176 __real_main130()
(gem_media_vme:3586) igt_core-INFO:   #8 ../tests/i915/gem_media_vme.c:130 main()
(gem_media_vme:3586) igt_core-INFO:   #9 ../csu/libc-start.c:344 __libc_start_main()
(gem_media_vme:3586) igt_core-INFO:   #10 [_start+0x2a]
****  END  ****
Comment 1 CI Bug Log 2019-02-12 08:28:58 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* APL :igt@gem_media_vme - Fail - Failed assertion: !&quot;GPU hung&quot; 
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5587/shard-apl6/igt@gem_media_vme.html
Comment 2 Chris Wilson 2019-02-12 11:11:53 UTC
I'm betting on a missing media w/a.
Comment 3 Francesco Balestrieri 2019-02-18 07:09:10 UTC
This test should be limited to ICL. Patch coming soon. Meanwhile I'm lowering the priority to "high" since this is not an actual defect.
Comment 4 Tvrtko Ursulin 2019-02-25 11:55:29 UTC
Patch sent.
Comment 5 Francesco Balestrieri 2019-03-01 12:04:03 UTC
Was it merged? The test has failed again on APL 3 days ago.
Comment 6 Chris Wilson 2019-03-01 12:23:06 UTC
Not yet, I was waiting for Tony Ye to review (or at least pass it on to the author). It has only hung once, and didn't immediately, suggesting it depends a bit on the external GPU state or some other transaction at the time. The kernel may be bogus, but there may be some reason behind it only hanging occasionally -- if we had any idea what that was, we could start trying to hunt it down!
Comment 7 Francesco Balestrieri 2019-03-19 07:36:46 UTC
Happened twice so far, last time three weeks ago. Is that because it was fixed, or just dumb luck?
Comment 8 CI Bug Log 2019-03-19 09:46:34 UTC
A CI Bug Log filter associated to this bug has been updated:

{- APL :igt@gem_media_vme - Fail - Failed assertion: !&quot;GPU hung&quot;  -}
{+ APL GLK: igt@gem_media_vme - fail - Failed assertion: !&quot;GPU hung&quot;  +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5768/shard-glk6/igt@gem_media_vme.html
Comment 9 Tvrtko Ursulin 2019-03-22 11:17:33 UTC
https://patchwork.freedesktop.org/series/57182/ needs a reviewer.
Comment 10 Tvrtko Ursulin 2019-03-26 07:58:32 UTC
Pushed a patch which limits the test to ICL only.

I expect new bugs will get generated about test going from pass to skip on other platforms which we can then just close as wontfix.
Comment 11 Martin Peres 2019-04-17 14:38:55 UTC
(In reply to Tvrtko Ursulin from comment #10)
> Pushed a patch which limits the test to ICL only.
> 
> I expect new bugs will get generated about test going from pass to skip on
> other platforms which we can then just close as wontfix.

We don't file skips on older platforms... So no worries!
Comment 12 CI Bug Log 2019-04-17 14:39:06 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.